OS
Date: 2017-01-22

org.apache.commons.exec

## Class OS

- java.lang.Object
- - org.apache.commons.exec.OS

-     public final class OS
      extends java.lang.Object

  Condition that tests the OS type.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isArch(java.lang.String arch)` Determines if the OS on which Ant is executing matches the given OS architecture.
    `static boolean` | `isFamilyDOS()`
    `static boolean` | `isFamilyMac()`
    `static boolean` | `isFamilyNetware()`
    `static boolean` | `isFamilyOpenVms()`
    `static boolean` | `isFamilyOS2()`
    `static boolean` | `isFamilyOS400()`
    `static boolean` | `isFamilyTandem()`
    `static boolean` | `isFamilyUnix()`
    `static boolean` | `isFamilyWin9x()`
    `static boolean` | `isFamilyWindows()`
    `static boolean` | `isFamilyZOS()`
    `static boolean` | `isName(java.lang.String name)` Determines if the OS on which Ant is executing matches the given OS name.
    `static boolean` | `isOs(java.lang.String family, java.lang.String name, java.lang.String arch, java.lang.String version)` Determines if the OS on which Ant is executing matches the given OS family, name, architecture and version
    `static boolean` | `isVersion(java.lang.String version)` Determines if the OS on which Ant is executing matches the given OS version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isFamilyDOS

          public static boolean isFamilyDOS()

    - #### isFamilyMac

          public static boolean isFamilyMac()

    - #### isFamilyNetware

          public static boolean isFamilyNetware()

    - #### isFamilyOS2

          public static boolean isFamilyOS2()

    - #### isFamilyTandem

          public static boolean isFamilyTandem()

    - #### isFamilyUnix

          public static boolean isFamilyUnix()

    - #### isFamilyWindows

          public static boolean isFamilyWindows()

    - #### isFamilyWin9x

          public static boolean isFamilyWin9x()

    - #### isFamilyZOS

          public static boolean isFamilyZOS()

    - #### isFamilyOS400

          public static boolean isFamilyOS400()

    - #### isFamilyOpenVms

          public static boolean isFamilyOpenVms()

    - #### isName

          public static boolean isName(java.lang.String name)

      Determines if the OS on which Ant is executing matches the given OS name.
      Parameters:
        `name` - the OS name to check for
      Returns:
        true if the OS matches

    - #### isArch

          public static boolean isArch(java.lang.String arch)

      Determines if the OS on which Ant is executing matches the given OS architecture.
      Parameters:
        `arch` - the OS architecture to check for
      Returns:
        true if the OS matches

    - #### isVersion

          public static boolean isVersion(java.lang.String version)

      Determines if the OS on which Ant is executing matches the given OS version.
      Parameters:
        `version` - the OS version to check for
      Returns:
        true if the OS matches

    - #### isOs

          public static boolean isOs(java.lang.String family,
                     java.lang.String name,
                     java.lang.String arch,
                     java.lang.String version)

      Determines if the OS on which Ant is executing matches the given OS family, name, architecture and version
      Parameters:
        `family` - The OS family
        `name` - The OS name
        `arch` - The OS architecture
        `version` - The OS version
      Returns:
        true if the OS matches